cURL
curl --request POST \
--url https://api.connect.fastenhealth.com/v1/bridge/catalog/search \
--header 'Content-Type: application/json' \
--data '
{
"searchAfter": [
"0.018018503",
"athena",
"athena"
],
"query": "athena"
}
'{
"success": true,
"data": {
"hits": {
"total": {
"value": 1
},
"hits": [
{
"_type": "_doc",
"_id": "8d4136dd-31b6-4a65-88a0-7ea22a2b16d6",
"_score": 1,
"sort": [
0.018018503,
"athena",
"athena"
],
"_source": {
"id": "8d4136dd-31b6-4a65-88a0-7ea22a2b16d6",
"last_updated": "2024-04-03T10:00:00Z",
"name": "Acme Health, Inc.",
"brand_website": "https://www.example.com/",
"aliases": [
"Acme Health",
"Acme Health, Inc."
],
"description": "Acme Health, Inc. is a leading provider of healthcare services in the United States.",
"portal_ids": [
"8d4136dd-31b6-4a65-88a0-7ea22a2b16d6"
],
"brand_ids": [
"8d4136dd-31b6-4a65-88a0-7ea22a2b16d6"
],
"sort_name": "brand",
"hidden": false,
"platform_type": "epic"
}
}
]
}
}
}Catalog
Search Catalog Brands
Search for healthcare institutions supported by Fasten Connect.
This is used to display branding information in the Stitch.js popup widget. This API not required, unless you are building a custom widget.
This API is rate limited and is subject to change. Please contact support@fastenhealth.com before use.
POST
/
bridge
/
catalog
/
search
cURL
curl --request POST \
--url https://api.connect.fastenhealth.com/v1/bridge/catalog/search \
--header 'Content-Type: application/json' \
--data '
{
"searchAfter": [
"0.018018503",
"athena",
"athena"
],
"query": "athena"
}
'{
"success": true,
"data": {
"hits": {
"total": {
"value": 1
},
"hits": [
{
"_type": "_doc",
"_id": "8d4136dd-31b6-4a65-88a0-7ea22a2b16d6",
"_score": 1,
"sort": [
0.018018503,
"athena",
"athena"
],
"_source": {
"id": "8d4136dd-31b6-4a65-88a0-7ea22a2b16d6",
"last_updated": "2024-04-03T10:00:00Z",
"name": "Acme Health, Inc.",
"brand_website": "https://www.example.com/",
"aliases": [
"Acme Health",
"Acme Health, Inc."
],
"description": "Acme Health, Inc. is a leading provider of healthcare services in the United States.",
"portal_ids": [
"8d4136dd-31b6-4a65-88a0-7ea22a2b16d6"
],
"brand_ids": [
"8d4136dd-31b6-4a65-88a0-7ea22a2b16d6"
],
"sort_name": "brand",
"hidden": false,
"platform_type": "epic"
}
}
]
}
}
}Query Parameters
API Mode, used to filter institutions during search.
Public ID for Organization credential. See Authentication for more information
Body
application/json
Search for healthcare institution
⌘I

